> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List allowed domains for collaboration

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

Listing the domains that are allowed for collaboration will return all domains
that permit collaborations to be created with the current enterprise.

There are no required parameters for the request, but `limit` and `market`
parameters may optionally be set to limit and page through the full result set.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X GET "https://api.box.com/2.0/collaboration_whitelist_entries" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.collaborationAllowlistEntries.getCollaborationWhitelistEntries();
  ```

  ```python Python v10 theme={null}
  client.collaboration_allowlist_entries.get_collaboration_whitelist_entries()
  ```

  ```cs .NET v10 theme={null}
  await client.CollaborationAllowlistEntries.GetCollaborationWhitelistEntriesAsync();
  ```

  ```swift Swift v10 theme={null}
  try await client.collaborationAllowlistEntries.getCollaborationWhitelistEntries()
  ```

  ```java Java v10 theme={null}
  client.getCollaborationAllowlistEntries().getCollaborationWhitelistEntries()
  ```

  ```cs .NET v6 theme={null}
  BoxCollectionMarkerBased<BoxCollaborationWhitelistEntry> whitelistedDomains = await client.CollaborationWhitelistManager
      .GetAllCollaborationWhitelistEntriesAsync();
  ```

  ```javascript Node v4 theme={null}
  client.collaborationAllowlist.getAllAllowlistedDomains(callback);
  ```
</CodeGroup>

<RelatedLinks
  title="RELATED APIS"
  items={[
{ label: translate("List allowed collaboration domains"), href: "/reference/get-collaboration-whitelist-entries", badge: "GET" }
]}
/>

<RelatedLinks
  title="RELATED GUIDES"
  items={[
{ label: translate("Collaborations"), href: "/guides/collaborations/index", badge: "GUIDE" },
{ label: translate("Remove a previously allowed domain for collaboration"), href: "/guides/collaborations/allowed-domains/delete", badge: "GUIDE" }
]}
/>
